## piglit 0~git20150829

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.5)

list(APPEND CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/Modules")

INCLUDE (GNUInstallDirs)
INCLUDE (CheckCCompilerFlag)
INCLUDE (CheckCSourceCompiles)
INCLUDE (CheckCXXCompilerFlag)
INCLUDE (CheckFunctionExists)
INCLUDE (CheckIncludeFile)
INCLUDE (FindPkgConfig)

# http://www.cmake.org/cmake/help/v3.0/policy/CMP0042.html
if (POLICY CMP0042)
	cmake_policy (SET CMP0042 NEW)
endif()

project (piglit)

# Require MSVC 2013 U4
if (MSVC)
	if (${CMAKE_C_COMPILER_VERSION} VERSION_LESS 18.00.31101.0)
		message (FATAL_ERROR "Visual Studio 2013 Update 4 or later required")
	endif ()
endif ()

find_package(Threads)
find_package(PNG)
if(PNG_FOUND)
	add_definitions(-DPIGLIT_HAS_PNG)
endif(PNG_FOUND)
find_package(X11)
if(X11_FOUND)
	set(PIGLIT_HAS_X11 True)
	add_definitions(-DPIGLIT_HAS_X11)
endif()

if(CMAKE_SYSTEM_NAME STREQUAL "Linux")
	set(PIGLIT_BUILD_GLES_TESTS_DEFAULT ON)
else()
	set(PIGLIT_BUILD_GLES_TESTS_DEFAULT OFF)
endif()

option(PIGLIT_BUILD_GL_TESTS "Build tests for OpenGL" ON)
option(PIGLIT_BUILD_GLES1_TESTS "Build tests for OpenGL ES1" ${PIGLIT_BUILD_GLES_TESTS_DEFAULT})
option(PIGLIT_BUILD_GLES2_TESTS "Build tests for OpenGL ES2" ${PIGLIT_BUILD_GLES_TESTS_DEFAULT})
option(PIGLIT_BUILD_GLES3_TESTS "Build tests for OpenGL ES3" ${PIGLIT_BUILD_GLES_TESTS_DEFAULT})
option(PIGLIT_BUILD_CL_TESTS "Build tests for OpenCL" OFF)

if(PIGLIT_BUILD_GL_TESTS)
	find_package(OpenGL REQUIRED)
endif()

if(${CMAKE_SYSTEM_NAME} MATCHES "Linux")
	option(PIGLIT_USE_WAFFLE "Use Waffle in place of GLUT" ON)
else()
	option(PIGLIT_USE_WAFFLE "Use Waffle in place of GLUT" OFF)
endif()

if(PIGLIT_USE_WAFFLE)
	if (NOT WIN32)
		pkg_check_modules(Waffle REQUIRED waffle-1)

		if(NOT Waffle_FOUND)
			message(FATAL_ERROR "Failed to find Waffle. If Waffle "
			"is not packaged for your distribution, you can get "
			"it at http://www.waffle-gl.org."
		)
		endif()

		# Check the installed waffle version.
		#
		# We cannot reliably check the version with pkg_check_modules(), but
		# instead must check the version manually as below. The problem is that,
		# if one passes a required version to pkg_check_modules(), CMake
		# validates the required version at most once for the lifetime of the
		# source tree.  If someone changes the required version by editing the
		# CMakeLists, CMake fails to detect the new requirement.
		set(Waffle_REQUIRED_VERSION "1.5.0")
		if(Waffle_VERSION VERSION_LESS Waffle_REQUIRED_VERSION)
			message(FATAL_ERROR "Found waffle-${Waffle_VERSION}, but "
			"piglit requires waffle-${Waffle_REQUIRED_VERSION}")
		endif()
	else ()
		find_path(Waffle_INCLUDE_DIRS waffle.h)
		find_library(Waffle_LDFLAGS waffle-1)
		if(Waffle_INCLUDE_DIRS AND Waffle_LDFLAGS)
			set(Waffle_FOUND TRUE)
		else()
			message(FATAL_ERROR "Failed to find Waffle. Get and build Waffle from "
				"http://www.waffle-gl.org and set Waffle_INCLUDE_DIRS and "
				"Waffle_LDFLAGS variables accordingly."
			)
		endif()
	endif ()

	add_definitions(-DPIGLIT_USE_WAFFLE)
	add_definitions(-DWAFFLE_API_VERSION=0x0103)
else()
	find_package(GLUT REQUIRED)

	# The 'REQUIRED' above correctly produces an error for
	# OpenGL, but there's a bug involving FindGLUT.cmake
	# that fails to produce the error as of CMake 2.8.5.
	#
	# Instead, CMake keeps going and eventually spams
	# the console with a message for every target that used
	# e.g. the ${GLUT_INCLUDE_DIR} variable. So it
	# prints a line for basically every single test in piglit.
	#
	# Work around the bug and error out quickly here instead.
	if (NOT GLUT_FOUND)
		message(FATAL_ERROR "GLUT library not found")
	endif()
endif(PIGLIT_USE_WAFFLE)

if(PIGLIT_BUILD_GLES1_TESTS AND NOT PIGLIT_USE_WAFFLE)
	message(FATAL_ERROR "Option PIGLIT_BUILD_GLES1_TESTS requires PIGLIT_USE_WAFFLE")
endif(PIGLIT_BUILD_GLES1_TESTS AND NOT PIGLIT_USE_WAFFLE)

if(PIGLIT_BUILD_GLES2_TESTS AND NOT PIGLIT_USE_WAFFLE)
	message(FATAL_ERROR "Option PIGLIT_BUILD_GLES2_TESTS requires PIGLIT_USE_WAFFLE")
endif(PIGLIT_BUILD_GLES2_TESTS AND NOT PIGLIT_USE_WAFFLE)

if(PIGLIT_BUILD_GLES3_TESTS AND NOT PIGLIT_USE_WAFFLE)
	message(FATAL_ERROR "Option PIGLIT_BUILD_GLES3_TESTS requires PIGLIT_USE_WAFFLE")
endif(PIGLIT_BUILD_GLES3_TESTS AND NOT PIGLIT_USE_WAFFLE)

if(PIGLIT_BUILD_CL_TESTS)
	find_package(OpenCL REQUIRED)
endif(PIGLIT_BUILD_CL_TESTS)

IF(${CMAKE_SYSTEM_NAME} MATCHES "Linux")
	if(X11_FOUND AND OPENGL_gl_LIBRARY)
		# Assume the system has GLX. In the future, systems may exist
		# with libGL and libX11 but no GLX, but that world hasn't
		# arrived yet.
		set(PIGLIT_HAS_GLX True)
		add_definitions(-DPIGLIT_HAS_GLX)
	endif()

	pkg_check_modules(GBM QUIET gbm)
	if(GBM_FOUND)
		set(PIGLIT_HAS_GBM True)
		add_definitions(-DPIGLIT_HAS_GBM)
	endif(GBM_FOUND)

	pkg_check_modules(WAYLAND QUIET wayland-client wayland-egl)
	if (WAYLAND_FOUND)
		set(PIGLIT_HAS_WAYLAND True)
		add_definitions(-DPIGLIT_HAS_WAYLAND)
	endif()

	pkg_check_modules(LIBDRM QUIET libdrm)
	pkg_check_modules(LIBDRM_INTEL QUIET libdrm_intel)
	pkg_check_modules(XCB_DRI2 QUIET xcb-dri2)
	pkg_check_modules(GLPROTO QUIET glproto)
ELSEIF(${CMAKE_SYSTEM_NAME} MATCHES "Windows")
	if (PIGLIT_USE_WAFFLE)
		set(PIGLIT_HAS_WGL True)
		add_definitions(-DPIGLIT_HAS_WGL)
	endif()
ENDIF()

IF(PIGLIT_HAS_GLX)
	option(PIGLIT_BUILD_GLX_TESTS "Build tests that require GLX" ON)
ELSE()
	option(PIGLIT_BUILD_GLX_TESTS "Build tests that require GLX" OFF)
ENDIF()

# Choose to build tests that use dma_buf.
#
# Piglit's dma_buf utilities require xcb-dri2 to gain DRM authentication.
#
# The presence of libdrm is not sufficient. At least one libdrm_${hardware}
# library is also needed.
#
# When building for Intel, libdrm_intel>=2.4.38 is required because support for
# drm-prime arrived in that version.
#
if(LIBDRM_FOUND AND XCB_DRI2_FOUND AND
   (LIBDRM_INTEL_VERSION VERSION_GREATER "2.4.37"))
	set(PIGLIT_BUILD_DMA_BUF_TESTS_IS_VALID true)
else()
	set(PIGLIT_BUILD_DMA_BUF_TESTS_IS_VALID false)
endif()

if(PIGLIT_BUILD_DMA_BUF_TESTS_IS_VALID)
	option(PIGLIT_BUILD_DMA_BUF_TESTS "Build tests that use dma_buf" ON)
else()
	option(PIGLIT_BUILD_DMA_BUF_TESTS "Build tests that use dma_buf" OFF)
endif()

# If the users has updated PIGLIT_BUILD_DMA_BUF_TESTS in the CMakeCache, then
# we need to validate it.
if(PIGLIT_BUILD_DMA_BUF_TESTS AND NOT PIGLIT_BUILD_DMA_BUF_TESTS_IS_VALID)
	message(FATAL_ERROR
		"PIGLIT_BUILD_DMA_BUF_TESTS require libdrm, "
		"libdrm_intel>=2.4.38, and xcb-dri2")
endif()

IF(PIGLIT_BUILD_GLX_TESTS)
	pkg_check_modules(GLPROTO REQUIRED glproto)
ENDIF()

find_package(PythonInterp 2.7 REQUIRED)
find_package(PythonNumpy 1.6.2 REQUIRED)
find_package(PythonMako 0.8.0 REQUIRED)
find_package(PythonSix 1.4.0 REQUIRED)

# Default to compiling with debug information (`gcc -g`):
if(NOT CMAKE_BUILD_TYPE)
	SET(CMAKE_BUILD_TYPE Debug CACHE STRING
	"May be one of: None Debug RelWithDebInfo Release MinSizeRel" FORCE)
endif(NOT CMAKE_BUILD_TYPE)

if (NOT MSVC)
	CHECK_C_COMPILER_FLAG("-Wall" C_COMPILER_FLAG_WALL)
	IF (C_COMPILER_FLAG_WALL)
		SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall")
	ENDIF (C_COMPILER_FLAG_WALL)
	CHECK_CXX_COMPILER_FLAG("-Wall" CXX_COMPILER_FLAG_WALL)
	IF (CXX_COMPILER_FLAG_WALL)
		SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall")
	ENDIF (CXX_COMPILER_FLAG_WALL)

	# MSVC does not support C99 variable length arrays
	CHECK_C_COMPILER_FLAG("-Werror=vla" C_COMPILER_FLAG_WEVLA)
	IF (C_COMPILER_FLAG_WEVLA)
		SET (CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Werror=vla")
	ENDIF ()
	# GCC allows void pointer arithmetic, but it is not part of ISO C and
	# in particular MSVC will throw `C2036: 'void *' : unknown size`
	check_c_compiler_flag ("-Werror=pointer-arith" C_COMPILER_FLAG_WEPOINTER_ARITH)
	if (C_COMPILER_FLAG_WEPOINTER_ARITH)
		set (CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Werror=pointer-arith")
	endif ()
	# MSVC only supports C99 variadic macros.  It doesn't support the
	# non-standard GNU named variadic macro syntax that's documented in
	# https://gcc.gnu.org/onlinedocs/cpp/Variadic-Macros.html
	#
	# XXX: on older GCC version this option has no effect unless -Wpedantic
	# is set, but this should be fixed on future GCC versions, per
	# https://gcc.gnu.org/ml/gcc-patches/2014-04/msg01459.html
	check_c_compiler_flag ("-Werror=variadic-macros" C_COMPILER_FLAG_WVARIADIC_MACROS)
	if (C_COMPILER_FLAG_WVARIADIC_MACROS)
		set (CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Werror=variadic-macros")
	endif ()

	CHECK_CXX_COMPILER_FLAG("-Wno-narrowing" CXX_COMPILER_FLAG_WNO_NARROWING)
	IF (CXX_COMPILER_FLAG_WNO_NARROWING)
		SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-narrowing")
	ENDIF (CXX_COMPILER_FLAG_WNO_NARROWING)
else ()
	# Adjust warnings
	add_definitions (-W3)
	add_definitions (-wd4018) # signed/unsigned mismatch
	add_definitions (-wd4244) # conversion from 'type1' to 'type2', possible loss of data
	add_definitions (-wd4305) # truncation from 'type1' to 'type2'
	add_definitions (-wd4800) # forcing value to bool 'true' or 'false' (performance warning)

	add_definitions (-D_CRT_SECURE_NO_DEPRECATE -D_CRT_SECURE_NO_WARNINGS -D_CRT_NONSTDC_NO_WARNINGS)
	add_definitions (-D_SCL_SECURE_NO_DEPRECATE -D_SCL_SECURE_NO_WARNINGS)
endif ()

if (MINGW)
	# Match MSVC default stack size
	set (CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -Wl,--stack,1048576")

	# Avoid depending on MinGW runtime DLLs
	check_cxx_compiler_flag (-static-libgcc HAVE_STATIC_LIBGCC_FLAG)
	if (HAVE_STATIC_LIBGCC_FLAG)
		set (CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -static-libgcc")
		set (CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -static-libgcc")
		set (CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -static-libgcc")
	endif ()
	check_cxx_compiler_flag (-static-libstdc++ HAVE_STATIC_LIBSTDCXX_FLAG)
	if (HAVE_STATIC_LIBSTDCXX_FLAG)
		set (CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -static-libstdc++")
		set (CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -static-libstdc++")
		set (CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -static-libstdc++")
	endif ()
endif ()

if (${CMAKE_C_COMPILER_ID} STREQUAL "SunPro")
	# Use C++ to link C files.
	# http://developers.sun.com/solaris/articles/mixing.html#linking
	# Modified rule from Modules/CMakeCInformation.cmake.
	set (CMAKE_C_LINK_EXECUTABLE
		"<CMAKE_CXX_COMPILER> <FLAGS> <CMAKE_C_LINK_FLAGS> <LINK_FLAGS> <OBJECTS> -o <TARGET> <LINK_LIBRARIES>")
endif()

# Always enable GNU C extensions.  Non-GNU platforms will need to
# define wrappers for them.
add_definitions(-D_GNU_SOURCE)

if (WIN32)
	# MSVC & MinGW only define & use APIENTRY
	add_definitions (-DGLAPIENTRY=__stdcall)

	# Avoid namespace pollution when including windows.h
	# http://support.microsoft.com/kb/166474
	add_definitions (-DWIN32_LEAN_AND_MEAN=1)

	# Don't define min/max macros
	add_definitions (-DNOMINMAX)

	# Define M_PI and others
	add_definitions (-D_USE_MATH_DEFINES)
endif (WIN32)

if (APPLE)
	# Don't warn about using deprecated OpenGL/GLU/GLUT functions.
	# TODO: It would be nice to silence just the deprecation macros from
	# OpenGLAvailability.h as opposed to all deprecated functions.
	set (CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wno-deprecated-declarations")
	set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-deprecated-declarations")
endif ()

if (OPENGL_FOUND)
	if (APPLE)
		find_path(GLEXT_INCLUDE_DIR
			NAMES OpenGL/glext.h
			PATHS ${OPENGL_INCLUDE_DIR}
			DOC "Include for OpenGL/glext.h on OSX"
		)
	else (APPLE)
		find_path(GLEXT_INCLUDE_DIR
			NAMES GL/glext.h
			PATHS ${OPENGL_INCLUDE_DIR}
			DOC "Include for GL/glext.h"
		)
	endif (APPLE)
endif()

if(CMAKE_USE_PTHREADS_INIT)
	set(PIGLIT_HAS_PTHREADS true)
	add_definitions(-DPIGLIT_HAS_PTHREADS)
endif()

FIND_LIBRARY(HAVE_LIBRT NAMES rt)
if(HAVE_LIBRT)
	set(CMAKE_REQUIRED_LIBRARIES ${CMAKE_REQUIRED_LIBRARIES} rt)
endif()

check_c_source_compiles(
	"
	#define _POSIX_C_SOURCE 199309L
	#include <time.h>
	int main() { return clock_gettime(CLOCK_MONOTONIC, NULL); }
	"
	PIGLIT_HAS_POSIX_CLOCK_MONOTONIC
)

if(PIGLIT_HAS_PTHREADS AND PIGLIT_HAS_POSIX_CLOCK_MONOTONIC)

=== cl/CMakeLists.txt ===
include_directories(
	${OPENCL_INCLUDE_PATH}
	${piglit_SOURCE_DIR}/tests/util
)

link_libraries (
	piglitutil_${piglit_target_api}
	${OPENCL_opencl_LIBRARY}
)

if(PIGLIT_HAS_POSIX_CLOCK_MONOTONIC)
	link_libraries(rt)
endif()

function(piglit_cl_add_test)
	piglit_add_executable(${ARGV})
endfunction(piglit_cl_add_test)

function(piglit_cl_add_custom_test name)

	list(REMOVE_AT ARGV 0)
	piglit_cl_add_test(
		cl-custom-${name}
		${ARGV}
	)

endfunction(piglit_cl_add_custom_test)

function(piglit_cl_add_api_test name)

	list(REMOVE_AT ARGV 0)
	piglit_cl_add_test(
		cl-api-${name}
		${ARGV}
	)

endfunction(piglit_cl_add_api_test)

function(piglit_cl_add_program_test name)

	list(REMOVE_AT ARGV 0)
	piglit_cl_add_test(
		cl-program-${name}
		${ARGV}
	)

endfunction(piglit_cl_add_program_test)

function(piglit_cl_add_interop_test name)

	list(REMOVE_AT ARGV 0)
	piglit_cl_add_test(
		cl-interop-${name}
		${ARGV}
	)

endfunction(piglit_cl_add_interop_test)

add_subdirectory (custom)
add_subdirectory (api)
add_subdirectory (program)
add_subdirectory (interop)

=== spec/CMakeLists.txt ===
add_subdirectory (amd_performance_monitor)
add_subdirectory (amd_pinned_memory)
add_subdirectory (arb_base_instance)
add_subdirectory (arb_buffer_storage)
add_subdirectory (arb_clear_buffer_object)
add_subdirectory (arb_clear_texture)
add_subdirectory (arb_clip_control)
add_subdirectory (arb_color_buffer_float)
add_subdirectory (arb_copy_image)
add_subdirectory (arb_compute_shader)
add_subdirectory (arb_cull_distance)
add_subdirectory (arb_debug_output)
add_subdirectory (khr_debug)
add_subdirectory (arb_depth_clamp)
add_subdirectory (arb_draw_indirect)
add_subdirectory (arb_draw_instanced)
add_subdirectory (arb_es2_compatibility)
add_subdirectory (arb_es3_compatibility)
add_subdirectory (arb_explicit_attrib_location)
add_subdirectory (arb_explicit_uniform_location)
add_subdirectory (arb_framebuffer_no_attachments)
add_subdirectory (arb_framebuffer_object)
add_subdirectory (arb_framebuffer_srgb)
add_subdirectory (arb_geometry_shader4)
add_subdirectory (arb_get_program_binary)
add_subdirectory (arb_get_texture_sub_image)
add_subdirectory (arb_gpu_shader5)
add_subdirectory (arb_gpu_shader_fp64)
add_subdirectory (arb_instanced_arrays)
add_subdirectory (arb_internalformat_query)
add_subdirectory (arb_map_buffer_alignment)
add_subdirectory (arb_map_buffer_range)
add_subdirectory (arb_multisample)
add_subdirectory (arb_occlusion_query)
add_subdirectory (arb_occlusion_query2)
add_subdirectory (arb_provoking_vertex)
add_subdirectory (arb_robustness)
add_subdirectory (arb_sample_shading)
add_subdirectory (arb_sampler_objects)
add_subdirectory (arb_seamless_cube_map)
add_subdirectory (amd_seamless_cubemap_per_texture)
add_subdirectory (amd_vertex_shader_layer)
add_subdirectory (amd_vertex_shader_viewport_index)
add_subdirectory (arb_separate_shader_objects)
add_subdirectory (arb_shader_subroutine)
add_subdirectory (arb_shader_texture_lod/execution)
add_subdirectory (arb_shader_atomic_counters)
add_subdirectory (arb_shader_objects)
add_subdirectory (arb_shader_image_load_store)
add_subdirectory (arb_shader_image_size)
add_subdirectory (arb_shading_language_420pack/execution)
add_subdirectory (arb_stencil_texturing)
add_subdirectory (arb_sync)
add_subdirectory (arb_uniform_buffer_object)
add_subdirectory (ati_draw_buffers)
add_subdirectory (arb_tessellation_shader)
add_subdirectory (arb_texture_buffer_object)
add_subdirectory (arb_texture_buffer_range)
add_subdirectory (arb_texture_compression)
add_subdirectory (arb_texture_cube_map_array)
add_subdirectory (arb_texture_float)
add_subdirectory (arb_texture_rectangle)
add_subdirectory (arb_texture_multisample)
add_subdirectory (arb_texture_storage)
add_subdirectory (arb_texture_storage_multisample)
add_subdirectory (arb_texture_view)
add_subdirectory (arb_timer_query)
add_subdirectory (arb_transform_feedback2)
add_subdirectory (arb_transform_feedback3)
add_subdirectory (arb_viewport_array)
add_subdirectory (ati_envmap_bumpmap)
add_subdirectory (ext_depth_bounds_test)
add_subdirectory (ext_fog_coord)
add_subdirectory (ext_framebuffer_multisample)
add_subdirectory (ext_framebuffer_multisample_blit_scaled)
add_subdirectory (ext_packed_depth_stencil)
add_subdirectory (ext_packed_float)
add_subdirectory (ext_texture_swizzle)
add_subdirectory (ext_timer_query)
add_subdirectory (ext_transform_feedback)
add_subdirectory (nv_conditional_render)
add_subdirectory (nv_texture_barrier)
add_subdirectory (oes_compressed_etc1_rgb8_texture)
add_subdirectory (oes_compressed_paletted_texture)
add_subdirectory (oes_matrix_get)
add_subdirectory (arb_draw_elements_base_vertex)
add_subdirectory (arb_fragment_program)
add_subdirectory (arb_vertex_array_bgra)
add_subdirectory (arb_vertex_buffer_object)
add_subdirectory (arb_vertex_program)
add_subdirectory (arb_copy_buffer)
add_subdirectory (arb_shader_storage_buffer_object)
add_subdirectory (glsl-1.10)
add_subdirectory (glsl-1.20)
add_subdirectory (glsl-1.30)
add_subdirectory (glsl-1.40)
add_subdirectory (glsl-1.50)
add_subdirectory (glsl-es-3.00)
add_subdirectory (gl-1.0)
add_subdirectory (gl-1.4)
add_subdirectory (gl-1.5)
add_subdirectory (gl-2.0)
add_subdirectory (gl-2.1)
add_subdirectory (gl-3.0)
add_subdirectory (gl-3.1)
add_subdirectory (gl-3.2)
add_subdirectory (gl-3.3)
add_subdirectory (gl-4.4)
add_subdirectory (gles-2.0)
add_subdirectory (gles-3.0)
add_subdirectory (glx_arb_create_context)
add_subdirectory (glx_ext_import_context)
add_subdirectory (glx_mesa_query_renderer)
add_subdirectory (glx_oml_sync_control)
add_subdirectory (arb_vertex_type_10f_11f_11f_rev)
add_subdirectory (arb_vertex_type_2_10_10_10_rev)
add_subdirectory (ext_texture_array)
add_subdirectory (ext_texture_integer)
add_subdirectory (arb_draw_buffers)
add_subdirectory (oes_draw_texture)
add_subdirectory (oes_fixed_point)
add_subdirectory (ext_image_dma_buf_import)
add_subdirectory (arb_program_interface_query)
add_subdirectory (arb_blend_func_extended)
add_subdirectory (ext_unpack_subimage)
add_subdirectory (arb_vertex_array_object)
add_subdirectory (oes_texture_float)
add_subdirectory (arb_direct_state_access)
add_subdirectory (ext_polygon_offset_clamp)
add_subdirectory (arb_pipeline_statistics_query)
add_subdirectory (arb_texture_stencil8)
add_subdirectory (arb_vertex_attrib_64bit)
add_subdirectory (ext_framebuffer_blit)
add_subdirectory (mesa_pack_invert)

=== util/CMakeLists.txt ===
add_definitions(-DSOURCE_DIR="${piglit_SOURCE_DIR}/")

if(PIGLIT_HAS_POSIX_CLOCK_MONOTONIC AND HAVE_LIBRT)
    link_libraries(rt)
endif()

# CMake requires that source file properties be set in the same directory where
# the property is used.
set_source_files_properties(
	${piglit_dispatch_gen_outputs}
	PROPERTIES GENERATED 1
	)

if(HAVE_LIBCACA)
    link_libraries(caca)
endif()

if(PNG_FOUND)
	link_libraries(${PNG_LIBRARIES})
	include_directories(${PNG_INCLUDE_DIRS})
endif(PNG_FOUND)

set(UTIL_INCLUDES
	${CMAKE_CURRENT_BINARY_DIR}
	${CMAKE_CURRENT_SOURCE_DIR}
	)

set(UTIL_SOURCES
	piglit-log.c
	piglit-util.c
	)

set(UTIL_GL_INCLUDES
	${UTIL_INCLUDES}
	${GLEXT_INCLUDE_DIR}
	${OPENGL_INCLUDE_PATH}
	${Waffle_INCLUDE_DIRS}
	)

set(UTIL_GL_SOURCES
	fdo-bitmap.c
	minmax-test.c
	piglit-dispatch.c
	piglit-dispatch-init.c
	piglit-fbo.cpp
	piglit-matrix.c
	piglit-test-pattern.cpp
	piglit-util-gl.c
	piglit-util-png.c
	piglit-vbo.cpp
	piglit-framework-gl.c
	piglit-framework-gl/piglit_gl_framework.c
	piglit-shader.c
	piglit_ktx.c
	rgb9e5.c
	r11g11b10f.c
	sized-internalformats.c
	${CMAKE_BINARY_DIR}/tests/util/piglit-util-gl-enum-gen.c
	)

set(UTIL_GL_LIBS
	piglitutil
	)

if(PIGLIT_USE_WAFFLE)
	list(APPEND UTIL_GL_SOURCES
		piglit-framework-gl/piglit_fbo_framework.c
		piglit-framework-gl/piglit_wfl_framework.c
		piglit-framework-gl/piglit_winsys_framework.c
		piglit-util-waffle.c
	)

	if(PIGLIT_HAS_WGL)
		list(APPEND UTIL_GL_SOURCES
			piglit-framework-gl/piglit_wgl_framework.c
		)
	endif()
	if(PIGLIT_HAS_GBM)
		list(APPEND UTIL_GL_SOURCES
			piglit-framework-gl/piglit_gbm_framework.c
		)
	endif()
	if(PIGLIT_HAS_WAYLAND)
		list(APPEND UTIL_GL_SOURCES
			piglit-framework-gl/piglit_wl_framework.c
		)
	endif()
	if(PIGLIT_HAS_X11)
		list(APPEND UTIL_GL_SOURCES
			piglit-framework-gl/piglit_x11_framework.c
		)
	endif()

	list(APPEND UTIL_GL_LIBS
		${Waffle_LDFLAGS}
	)
	IF(PIGLIT_BUILD_GLX_TESTS)
		list(APPEND UTIL_GL_LIBS
			${OPENGL_gl_LIBRARY}
		)
	ENDIF(PIGLIT_BUILD_GLX_TESTS)
else()
	list(APPEND UTIL_GL_SOURCES
		piglit-framework-gl/piglit_glut_framework.c
	)

	list(APPEND UTIL_GL_LIBS
		${OPENGL_gl_LIBRARY}
	)
endif()

if(${CMAKE_SYSTEM_NAME} MATCHES "Linux")
	# One needs to have at least one hardware driver present, otherwise
	# there is no point compiling just the dispatcher.
	if(PIGLIT_BUILD_DMA_BUF_TESTS)
		add_definitions(-DHAVE_LIBDRM)

		list(APPEND UTIL_GL_SOURCES
			piglit-framework-gl/piglit_drm_dma_buf.c
		)

		list(APPEND UTIL_GL_LIBS
			${LIBDRM_LDFLAGS}
			${XCB_DRI2_LDFLAGS}
		)

		list(APPEND UTIL_GL_INCLUDES
			${LIBDRM_INCLUDE_DIRS}
			${XCB_DRI2_INCLUDE_DIRS}
		)

		if(LIBDRM_INTEL_FOUND)
			add_definitions(-DHAVE_LIBDRM_INTEL)

			list(APPEND UTIL_GL_LIBS
				${LIBDRM_INTEL_LDFLAGS}
			)
		endif()
	endif()

	if(PIGLIT_HAS_X11)
		list(APPEND UTIL_GL_LIBS ${X11_X11_LIB})
	endif()
endif(${CMAKE_SYSTEM_NAME} MATCHES "Linux")

piglit_include_target_api()

=== egl/spec/CMakeLists.txt ===
add_subdirectory (egl-1.4)
add_subdirectory (egl_ext_client_extensions)
add_subdirectory (egl_khr_create_context)
add_subdirectory (egl_khr_get_all_proc_addresses)
add_subdirectory (egl_khr_fence_sync)
add_subdirectory (egl_chromium_sync_control)

## piglit 0~git20150829-59d7066

=== debian/changelog ===
piglit (0~git20150829-59d7066-1+deb9u1) stretch; urgency=medium

  * Non-maintainer upload.
  * Add the missing dependency on python-mako. (Closes: #830145)

 -- Adrian Bunk <bunk@debian.org>  Tue, 27 Feb 2018 22:25:56 +0200

piglit (0~git20150829-59d7066-1) unstable; urgency=low

  * Update piglit version
  * Update standards version to 3.9.6
  * Add python-six as a dependency
  * Add debian copyright entries
  * Add libgbm-dev build dependency
  * Add new debian packaging, closes: #761015

 -- Jordan Justen <jordan.l.justen@intel.com>  Sat, 29 Aug 2015 12:55:28 -0700

piglit (0~git20140926-4efb025-1) unstable; urgency=low

  * Add new debian packaging, closes: #761015

 -- Jordan Justen <jordan.l.justen@intel.com>  Sat, 27 Sep 2014 07:52:33 -0700

=== debian/control ===
Source: piglit
Priority: optional
Section: devel
Maintainer: Jordan Justen <jordan.l.justen@intel.com>
Build-Depends: binutils (>> 2.18),
               cmake,
               debhelper (>= 9),
               dh-python,
               libegl1-mesa-dev | libegl-dev,
               libgbm-dev,
               libgl1-mesa-dev | libgl-dev,
               libglu1-mesa-dev | libglu-dev,
               libxcb1-dev,
               libwaffle-dev (>= 1.3),
               pkg-config,
               python (>= 2.7),
               python-mako,
               python-numpy,
               python-six
Standards-Version: 3.9.6
X-Python-Version: >= 2.7
Homepage: http://piglit.freedesktop.org/
Vcs-Git: git://anongit.freedesktop.org/piglit
Vcs-Browser: http://cgit.freedesktop.org/piglit/

Package: piglit
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Pre-Depends}, ${misc:Depends},
         ${python:Depends}, python-six, python-mako
Description: Open-source test suite for OpenGL implementations
 Piglit is an open-source test suite for OpenGL implementations.

=== debian/rules ===
#!/usr/bin/make -f
# Copyright (c) 2014 Intel Corporation

DEB_DESTDIR := $(CURDIR)/debian/piglit

%:
	dh $@ --buildsystem cmake --with python2

override_dh_auto_configure:
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX=/usr \
		-DCMAKE_INSTALL_LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH) \
		-DCMAKE_BUILD_TYPE=Release \
		-DPIGLIT_BUILD_GLES1_TESTS=1 \
		-DPIGLIT_BUILD_GLES2_TESTS=1 \
		-DPIGLIT_BUILD_GLES3_TESTS=1 \
		-DPIGLIT_USE_WAFFLE=1

override_dh_auto_install:
	dh_auto_install
	python $(CURDIR)/debian/update-piglit-script.py $(DEB_DESTDIR)/usr/bin/piglit

override_dh_makeshlibs:
#       Fix lintian extra-license-file
	rm $(DEB_DESTDIR)/usr/share/doc/piglit/COPYING.gz

## piglit 0~git20170210

=== CMakeLists.txt ===
--- 
+++ 
@@ -18,10 +18,8 @@
 project (piglit)
 
 # Require MSVC 2013 U4
-if (MSVC)
-	if (${CMAKE_C_COMPILER_VERSION} VERSION_LESS 18.00.31101.0)
-		message (FATAL_ERROR "Visual Studio 2013 Update 4 or later required")
-	endif ()
+if (MSVC AND CMAKE_C_COMPILER_VERSION VERSION_LESS 18.00.31101.0)
+	message (FATAL_ERROR "Visual Studio 2013 Update 4 or later required")
 endif ()
 
 find_package(Threads)
@@ -143,16 +141,28 @@
 	if(GBM_FOUND)
 		set(PIGLIT_HAS_GBM True)
 		add_definitions(-DPIGLIT_HAS_GBM)
+		if (GBM_VERSION VERSION_EQUAL "12.1" OR GBM_VERSION VERSION_GREATER "12.1")
+			set(PIGLIT_HAS_GBM_BO_MAP True)
+			add_definitions(-DPIGLIT_HAS_GBM_BO_MAP)
+		endif()
 	endif(GBM_FOUND)
 
 	pkg_check_modules(WAYLAND QUIET wayland-client wayland-egl)
 	if (WAYLAND_FOUND)
 		set(PIGLIT_HAS_WAYLAND True)
 		add_definitions(-DPIGLIT_HAS_WAYLAND)
+
+		FIND_LIBRARY(HAVE_XKBCOMMON NAMES xkbcommon)
+		if(NOT HAVE_XKBCOMMON)
+			message(FATAL_ERROR "Wayland support requires xkbcommon. "
+				"Failed to find xkbcommon library.")
+		endif()
+		pkg_check_modules(XKBCOMMON QUIET xkbcommon)
 	endif()
 
 	pkg_check_modules(LIBDRM QUIET libdrm)
 	pkg_check_modules(LIBDRM_INTEL QUIET libdrm_intel)
+	pkg_check_modules(XCB QUIET xcb)
 	pkg_check_modules(XCB_DRI2 QUIET xcb-dri2)
 	pkg_check_modules(GLPROTO QUIET glproto)
 ELSEIF(${CMAKE_SYSTEM_NAME} MATCHES "Windows")
@@ -179,7 +189,8 @@
 # drm-prime arrived in that version.
 #
 if(LIBDRM_FOUND AND XCB_DRI2_FOUND AND
-   (LIBDRM_INTEL_VERSION VERSION_GREATER "2.4.37"))
+   ((LIBDRM_INTEL_VERSION VERSION_GREATER "2.4.37") OR
+     PIGLIT_HAS_GBM_BO_MAP))
 	set(PIGLIT_BUILD_DMA_BUF_TESTS_IS_VALID true)
 else()
 	set(PIGLIT_BUILD_DMA_BUF_TESTS_IS_VALID false)
@@ -203,10 +214,22 @@
 	pkg_check_modules(GLPROTO REQUIRED glproto)
 ENDIF()
 
-find_package(PythonInterp 2.7 REQUIRED)
-find_package(PythonNumpy 1.6.2 REQUIRED)
-find_package(PythonMako 0.8.0 REQUIRED)
-find_package(PythonSix 1.4.0 REQUIRED)
+set(Python_ADDITIONAL_VERSIONS
+    3.6 3.5 3.4 3.3 2.7)
+find_package(PythonInterp REQUIRED)
+find_package(PythonSix 1.5.2 REQUIRED)
+find_package(PythonNumpy 1.7.0 REQUIRED)
+
+# CMake doesn't have a VERSION_GREATER_EQUAL function, at least as of 3.0,
+# And mako 1.0.2 contains bug fixes required for python 3.5 to work, so
+# the only solution (short of having a series of "OR" statements, is this)
+if (PYTHON_VERSION_STRING VERSION_GREATER 3.4.999999)
+	find_package(PythonMako 1.0.2 REQUIRED)
+else ()
+	find_package(PythonMako 0.8.0 REQUIRED)
+endif (PYTHON_VERSION_STRING VERSION_GREATER 3.4.999999)
+
+find_package(bash-completion NO_MODULE)
 
 # Default to compiling with debug information (`gcc -g`):
 if(NOT CMAKE_BUILD_TYPE)
@@ -224,6 +247,12 @@
 		SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall")
 	ENDIF (CXX_COMPILER_FLAG_WALL)
 
+	# Target C99.  GCC's default is gnu11 for 5.0 and newer, gnu89 for
+	# older versions.
+	check_c_compiler_flag ("-std=gnu99" C_COMPILER_FLAG_STD_GNU99)
+	if (C_COMPILER_FLAG_STD_GNU99)
+		set (CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -std=gnu99")
+	endif ()
 	# MSVC does not support C99 variable length arrays
 	CHECK_C_COMPILER_FLAG("-Werror=vla" C_COMPILER_FLAG_WEVLA)
 	IF (C_COMPILER_FLAG_WEVLA)
@@ -308,48 +337,3 @@
 	# Define M_PI and others
 	add_definitions (-D_USE_MATH_DEFINES)
 endif (WIN32)
-
-if (APPLE)
-	# Don't warn about using deprecated OpenGL/GLU/GLUT functions.
-	# TODO: It would be nice to silence just the deprecation macros from
-	# OpenGLAvailability.h as opposed to all deprecated functions.
-	set (CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wno-deprecated-declarations")
-	set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-deprecated-declarations")
-endif ()
-
-if (OPENGL_FOUND)
-	if (APPLE)
-		find_path(GLEXT_INCLUDE_DIR
-			NAMES OpenGL/glext.h
-			PATHS ${OPENGL_INCLUDE_DIR}
-			DOC "Include for OpenGL/glext.h on OSX"
-		)
-	else (APPLE)
-		find_path(GLEXT_INCLUDE_DIR
-			NAMES GL/glext.h
-			PATHS ${OPENGL_INCLUDE_DIR}
-			DOC "Include for GL/glext.h"
-		)
-	endif (APPLE)
-endif()
-
-if(CMAKE_USE_PTHREADS_INIT)
-	set(PIGLIT_HAS_PTHREADS true)
-	add_definitions(-DPIGLIT_HAS_PTHREADS)
-endif()
-
-FIND_LIBRARY(HAVE_LIBRT NAMES rt)
-if(HAVE_LIBRT)
-	set(CMAKE_REQUIRED_LIBRARIES ${CMAKE_REQUIRED_LIBRARIES} rt)
-endif()
-
-check_c_source_compiles(
-	"
-	#define _POSIX_C_SOURCE 199309L
-	#include <time.h>
-	int main() { return clock_gettime(CLOCK_MONOTONIC, NULL); }
-	"
-	PIGLIT_HAS_POSIX_CLOCK_MONOTONIC
-)
-
-if(PIGLIT_HAS_PTHREADS AND PIGLIT_HAS_POSIX_CLOCK_MONOTONIC)

=== spec/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,6 @@
 add_subdirectory (amd_performance_monitor)
 add_subdirectory (amd_pinned_memory)
+add_subdirectory (arb_arrays_of_arrays)
 add_subdirectory (arb_base_instance)
 add_subdirectory (arb_buffer_storage)
 add_subdirectory (arb_clear_buffer_object)
@@ -8,14 +9,18 @@
 add_subdirectory (arb_color_buffer_float)
 add_subdirectory (arb_copy_image)
 add_subdirectory (arb_compute_shader)
+add_subdirectory (arb_compute_variable_group_size)
 add_subdirectory (arb_cull_distance)
 add_subdirectory (arb_debug_output)
 add_subdirectory (khr_debug)
+add_subdirectory (khr_texture_compression_astc)
+add_subdirectory (oes_texture_compression_astc)
 add_subdirectory (arb_depth_clamp)
 add_subdirectory (arb_draw_indirect)
 add_subdirectory (arb_draw_instanced)
 add_subdirectory (arb_es2_compatibility)
 add_subdirectory (arb_es3_compatibility)
+add_subdirectory (arb_enhanced_layouts)
 add_subdirectory (arb_explicit_attrib_location)
 add_subdirectory (arb_explicit_uniform_location)
 add_subdirectory (arb_framebuffer_no_attachments)
@@ -28,6 +33,8 @@
 add_subdirectory (arb_gpu_shader_fp64)
 add_subdirectory (arb_instanced_arrays)
 add_subdirectory (arb_internalformat_query)
+add_subdirectory (arb_internalformat_query2)
+add_subdirectory (arb_invalidate_subdata)
 add_subdirectory (arb_map_buffer_alignment)
 add_subdirectory (arb_map_buffer_range)
 add_subdirectory (arb_multisample)
@@ -75,10 +82,12 @@
 add_subdirectory (ext_framebuffer_multisample_blit_scaled)
 add_subdirectory (ext_packed_depth_stencil)
 add_subdirectory (ext_packed_float)
+add_subdirectory (ext_shader_samples_identical)
 add_subdirectory (ext_texture_swizzle)
 add_subdirectory (ext_timer_query)
 add_subdirectory (ext_transform_feedback)
 add_subdirectory (nv_conditional_render)
+add_subdirectory (nv_image_formats)
 add_subdirectory (nv_texture_barrier)
 add_subdirectory (oes_compressed_etc1_rgb8_texture)
 add_subdirectory (oes_compressed_paletted_texture)
@@ -97,6 +106,9 @@
 add_subdirectory (glsl-1.50)
 add_subdirectory (glsl-es-3.00)
 add_subdirectory (gl-1.0)
+add_subdirectory (gl-1.1)
+add_subdirectory (gl-1.2)
+add_subdirectory (gl-1.3)
 add_subdirectory (gl-1.4)
 add_subdirectory (gl-1.5)
 add_subdirectory (gl-2.0)
@@ -106,6 +118,7 @@
 add_subdirectory (gl-3.2)
 add_subdirectory (gl-3.3)
 add_subdirectory (gl-4.4)
+add_subdirectory (gl-4.5)
 add_subdirectory (gles-2.0)
 add_subdirectory (gles-3.0)
 add_subdirectory (glx_arb_create_context)
@@ -117,6 +130,7 @@
 add_subdirectory (ext_texture_array)
 add_subdirectory (ext_texture_integer)
 add_subdirectory (arb_draw_buffers)
+add_subdirectory (arb_draw_buffers_blend)
 add_subdirectory (oes_draw_texture)
 add_subdirectory (oes_fixed_point)
 add_subdirectory (ext_image_dma_buf_import)
@@ -132,3 +146,12 @@
 add_subdirectory (arb_vertex_attrib_64bit)
 add_subdirectory (ext_framebuffer_blit)
 add_subdirectory (mesa_pack_invert)
+add_subdirectory (ext_texture_format_bgra8888)
+add_subdirectory (oes_draw_elements_base_vertex)
+add_subdirectory (arb_shader_draw_parameters)
+add_subdirectory (arb_indirect_parameters)
+add_subdirectory (arb_query_buffer_object)
+add_subdirectory (ext_window_rectangles)
+add_subdirectory (arb_shader_texture_image_samples)
+add_subdirectory (arb_texture_barrier)
+add_subdirectory (intel_conservative_rasterization)

=== util/CMakeLists.txt ===
--- 
+++ 
@@ -11,8 +11,15 @@
 	PROPERTIES GENERATED 1
 	)
 
+link_libraries(${CMAKE_DL_LIBS})
+
 if(HAVE_LIBCACA)
     link_libraries(caca)
+endif()
+
+if(HAVE_XKBCOMMON)
+	link_libraries(${XKBCOMMON_LIBRARIES})
+	include_directories(${XKBCOMMON_INCLUDE_DIRS})
 endif()
 
 if(PNG_FOUND)
@@ -79,6 +86,9 @@
 		list(APPEND UTIL_GL_SOURCES
 			piglit-framework-gl/piglit_gbm_framework.c
 		)
+		list(APPEND UTIL_GL_LIBS
+			${GBM_LDFLAGS}
+		)
 	endif()
 	if(PIGLIT_HAS_WAYLAND)
 		list(APPEND UTIL_GL_SOURCES
@@ -121,11 +131,13 @@
 
 		list(APPEND UTIL_GL_LIBS
 			${LIBDRM_LDFLAGS}
+			${XCB_LDFLAGS}
 			${XCB_DRI2_LDFLAGS}
 		)
 
 		list(APPEND UTIL_GL_INCLUDES
 			${LIBDRM_INCLUDE_DIRS}
+			${XCB_INCLUDE_DIRS}
 			${XCB_DRI2_INCLUDE_DIRS}
 		)
 
@@ -141,6 +153,11 @@
 	if(PIGLIT_HAS_X11)
 		list(APPEND UTIL_GL_LIBS ${X11_X11_LIB})
 	endif()
+
+        if(PIGLIT_HAS_WAYLAND)
+		list(APPEND UTIL_GL_LIBS ${WAYLAND_LIBRARIES})
+        endif()
+
 endif(${CMAKE_SYSTEM_NAME} MATCHES "Linux")
 
 piglit_include_target_api()

=== egl/spec/CMakeLists.txt ===
add_subdirectory (egl-1.4)
add_subdirectory (egl_ext_client_extensions)
add_subdirectory (egl_ext_device_query)
add_subdirectory (egl_ext_device_enumeration)
add_subdirectory (egl_khr_create_context)
add_subdirectory (egl_khr_get_all_proc_addresses)
add_subdirectory (egl_khr_gl_image)
add_subdirectory (egl_khr_fence_sync)
add_subdirectory (egl_khr_surfaceless_context)
add_subdirectory (egl_mesa_platform_surfaceless)

if (PIGLIT_HAS_X11)
	add_subdirectory (egl_chromium_sync_control)
endif (PIGLIT_HAS_X11)

=== spec/arb_blend_func_extended/CMakeLists.txt ===
add_subdirectory (api)
add_subdirectory (execution)
piglit_include_target_api()

=== spec/glsl-1.10/execution/CMakeLists.txt ===
piglit_include_target_api()
add_subdirectory (clipping)
add_subdirectory (varying-packing)

## piglit 0~git20170210-508210dc1

=== debian/changelog ===
piglit (0~git20170210-508210dc1-1) unstable; urgency=low

  * Update piglit upstream version to 508210dc1
  * Use Python 3
  * Update standards version to 3.9.8

 -- Jordan Justen <jordan.l.justen@intel.com>  Fri, 10 Feb 2017 13:51:50 -0800

piglit (0~git20150829-59d7066-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Build OpenCL tests (Closes: #845549)
  * Build in parallel (Closes: #846403)

 -- Simon Richter <sjr@debian.org>  Thu, 26 Jan 2017 18:34:58 +0100

=== debian/control ===
Source: piglit
Priority: optional
Section: devel
Maintainer: Jordan Justen <jordan.l.justen@intel.com>
Build-Depends: binutils (>> 2.18),
               cmake,
               debhelper (>= 9),
               libegl1-mesa-dev | libegl-dev,
               libgbm-dev,
               libgl1-mesa-dev | libgl-dev,
               libglu1-mesa-dev | libglu-dev,
               libxcb1-dev,
               libxkbcommon-dev,
               ocl-icd-opencl-dev | opencl-dev,
               libwaffle-dev (>= 1.3),
               pkg-config,
               python3,
               python3-mako,
               python3-numpy,
               python3-six
Standards-Version: 3.9.8
Homepage: http://piglit.freedesktop.org/
Vcs-Git: git://anongit.freedesktop.org/piglit
Vcs-Browser: http://cgit.freedesktop.org/piglit/

Package: piglit
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Pre-Depends}, ${misc:Depends},
         python3-six, python3
Description: Open-source test suite for OpenGL and OpenCL implementations
 Piglit is an open-source test suite for OpenGL and OpenCL implementations.

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 DEB_DESTDIR := $(CURDIR)/debian/piglit
 
 %:
-	dh $@ --buildsystem cmake --with python2
+	dh $@ --parallel --buildsystem cmake --with python3
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
@@ -14,11 +14,13 @@
 		-DPIGLIT_BUILD_GLES1_TESTS=1 \
 		-DPIGLIT_BUILD_GLES2_TESTS=1 \
 		-DPIGLIT_BUILD_GLES3_TESTS=1 \
+		-DPIGLIT_BUILD_CL_TESTS=1 \
 		-DPIGLIT_USE_WAFFLE=1
 
 override_dh_auto_install:
 	dh_auto_install
-	python $(CURDIR)/debian/update-piglit-script.py $(DEB_DESTDIR)/usr/bin/piglit
+	find $(DEB_DESTDIR) -type d -name __pycache__ -exec rm -r {} +
+	python3 $(CURDIR)/debian/update-piglit-script.py $(DEB_DESTDIR)/usr/bin/piglit
 
 override_dh_makeshlibs:
 #       Fix lintian extra-license-file

## piglit 0~git20180515

=== CMakeLists.txt ===
--- 
+++ 
@@ -17,9 +17,9 @@
 
 project (piglit)
 
-# Require MSVC 2013 U4
-if (MSVC AND CMAKE_C_COMPILER_VERSION VERSION_LESS 18.00.31101.0)
-	message (FATAL_ERROR "Visual Studio 2013 Update 4 or later required")
+# Require MinGW
+if (MSVC)
+	message (FATAL_ERROR "Windows builds require MinGW")
 endif ()
 
 find_package(Threads)
@@ -137,12 +137,13 @@
 		add_definitions(-DPIGLIT_HAS_GLX)
 	endif()
 
-	pkg_check_modules(GBM QUIET gbm)
+	pkg_check_modules(GBM QUIET gbm>=17.1)
 	if(GBM_FOUND)
 		set(PIGLIT_HAS_GBM True)
 		add_definitions(-DPIGLIT_HAS_GBM)
-		if (GBM_VERSION VERSION_EQUAL "12.1" OR GBM_VERSION VERSION_GREATER "12.1")
-			set(PIGLIT_HAS_GBM_BO_MAP True)
+		set(CMAKE_REQUIRED_LIBRARIES ${CMAKE_REQUIRED_LIBRARIES} ${GBM_LIBRARIES})
+		CHECK_FUNCTION_EXISTS(gbm_bo_map PIGLIT_HAS_GBM_BO_MAP)
+		if (PIGLIT_HAS_GBM_BO_MAP)
 			add_definitions(-DPIGLIT_HAS_GBM_BO_MAP)
 		endif()
 	endif(GBM_FOUND)
@@ -177,6 +178,13 @@
 ELSE()
 	option(PIGLIT_BUILD_GLX_TESTS "Build tests that require GLX" OFF)
 ENDIF()
+
+IF(PIGLIT_HAS_WGL)
+	option(PIGLIT_BUILD_WGL_TESTS "Build tests that require WGL" ON)
+ELSE()
+	option(PIGLIT_BUILD_WGL_TESTS "Build tests that require WGL" OFF)
+ENDIF()
+
 
 # Choose to build tests that use dma_buf.
 #
@@ -329,11 +337,3 @@
 
 	# Avoid namespace pollution when including windows.h
 	# http://support.microsoft.com/kb/166474
-	add_definitions (-DWIN32_LEAN_AND_MEAN=1)
-
-	# Don't define min/max macros
-	add_definitions (-DNOMINMAX)
-
-	# Define M_PI and others
-	add_definitions (-D_USE_MATH_DEFINES)
-endif (WIN32)

=== spec/CMakeLists.txt ===
--- 
+++ 
@@ -2,6 +2,7 @@
 add_subdirectory (amd_pinned_memory)
 add_subdirectory (arb_arrays_of_arrays)
 add_subdirectory (arb_base_instance)
+add_subdirectory (arb_bindless_texture)
 add_subdirectory (arb_buffer_storage)
 add_subdirectory (arb_clear_buffer_object)
 add_subdirectory (arb_clear_texture)
@@ -40,6 +41,8 @@
 add_subdirectory (arb_multisample)
 add_subdirectory (arb_occlusion_query)
 add_subdirectory (arb_occlusion_query2)
+add_subdirectory (arb_point_parameters)
+add_subdirectory (arb_point_sprite)
 add_subdirectory (arb_provoking_vertex)
 add_subdirectory (arb_robustness)
 add_subdirectory (arb_sample_shading)
@@ -60,10 +63,12 @@
 add_subdirectory (arb_sync)
 add_subdirectory (arb_uniform_buffer_object)
 add_subdirectory (ati_draw_buffers)
+add_subdirectory (arb_sparse_buffer)
 add_subdirectory (arb_tessellation_shader)
 add_subdirectory (arb_texture_buffer_object)
 add_subdirectory (arb_texture_buffer_range)
 add_subdirectory (arb_texture_compression)
+add_subdirectory (arb_texture_cube_map)
 add_subdirectory (arb_texture_cube_map_array)
 add_subdirectory (arb_texture_float)
 add_subdirectory (arb_texture_rectangle)
@@ -74,23 +79,35 @@
 add_subdirectory (arb_timer_query)
 add_subdirectory (arb_transform_feedback2)
 add_subdirectory (arb_transform_feedback3)
+add_subdirectory (arb_transform_feedback_overflow_query)
 add_subdirectory (arb_viewport_array)
 add_subdirectory (ati_envmap_bumpmap)
+add_subdirectory (ati_fragment_shader)
 add_subdirectory (ext_depth_bounds_test)
+add_subdirectory (ext_frag_depth)
 add_subdirectory (ext_fog_coord)
 add_subdirectory (ext_framebuffer_multisample)
 add_subdirectory (ext_framebuffer_multisample_blit_scaled)
+add_subdirectory (ext_framebuffer_object)
+add_subdirectory (ext_memory_object)
+add_subdirectory (ext_memory_object_fd)
 add_subdirectory (ext_packed_depth_stencil)
 add_subdirectory (ext_packed_float)
+add_subdirectory (ext_semaphore)
+add_subdirectory (ext_semaphore_fd)
 add_subdirectory (ext_shader_samples_identical)
+add_subdirectory (ext_texture_env_combine)
 add_subdirectory (ext_texture_swizzle)
 add_subdirectory (ext_timer_query)
 add_subdirectory (ext_transform_feedback)
 add_subdirectory (nv_conditional_render)
+add_subdirectory (nv_fill_rectangle)
 add_subdirectory (nv_image_formats)
 add_subdirectory (nv_texture_barrier)
+add_subdirectory (nv_texture_env_combine4)
 add_subdirectory (oes_compressed_etc1_rgb8_texture)
 add_subdirectory (oes_compressed_paletted_texture)
+add_subdirectory (oes_required_internalformat)
 add_subdirectory (oes_matrix_get)
 add_subdirectory (arb_draw_elements_base_vertex)
 add_subdirectory (arb_fragment_program)
@@ -117,6 +134,7 @@
 add_subdirectory (gl-3.1)
 add_subdirectory (gl-3.2)
 add_subdirectory (gl-3.3)
+add_subdirectory (gl-4.3)
 add_subdirectory (gl-4.4)
 add_subdirectory (gl-4.5)
 add_subdirectory (gles-2.0)
@@ -155,3 +173,9 @@
 add_subdirectory (arb_shader_texture_image_samples)
 add_subdirectory (arb_texture_barrier)
 add_subdirectory (intel_conservative_rasterization)
+add_subdirectory (arb_post_depth_coverage)
+add_subdirectory (arb_fragment_shader_interlock)
+add_subdirectory (ext_occlusion_query_boolean)
+add_subdirectory (ext_disjoint_timer_query)
+add_subdirectory (intel_blackhole_render)
+add_subdirectory (ext_texture_norm16)

=== texturing/CMakeLists.txt ===
add_subdirectory (shaders)
piglit_include_target_api()

=== util/CMakeLists.txt ===
--- 
+++ 
@@ -155,7 +155,7 @@
 	endif()
 
         if(PIGLIT_HAS_WAYLAND)
-		list(APPEND UTIL_GL_LIBS ${WAYLAND_LIBRARIES})
+		list(APPEND UTIL_GL_LIBS ${WAYLAND_LDFLAGS})
         endif()
 
 endif(${CMAKE_SYSTEM_NAME} MATCHES "Linux")

=== spec/gl-2.0/CMakeLists.txt ===
add_subdirectory (api)
piglit_include_target_api()

## piglit 0~git20180515-62ef6b0db

=== debian/changelog ===
piglit (0~git20180515-62ef6b0db-1) unstable; urgency=low

  * Update piglit upstream version to 62ef6b0db
  * Add dh-python build dependency for missing-build-dependency-for-dh-addon
    lintian error, closes: #896801
  * Update to debhelper 11
  * Update Standards-Version to 4.1.4
  * Remove unused lintian override binary-without-manpage
  * Remove unused lintian override space-in-std-shortname-in-dep5-copyright
  * Remove --parallel for debian-rules-uses-unnecessary-dh-argument
    lintian warning
  * Change Vcs-* to use https on salsa.debian.org for
    lintian vcs-field-uses-insecure-uri
  * Fix lintian insecure-copyright-format-uri

 -- Jordan Justen <jordan.l.justen@intel.com>  Wed, 16 May 2018 02:50:49 -0700

piglit (0~git20170210-508210dc1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Dependency fixes:
    - remove ${misc:Pre-Depends} from Depends
    - add ${python3:Depends} instead of manual python3
    - add python3-mako (Closes: #830145)
  * Workaround gcc-7 memory usage regression by building
    with -O1 on i386.

 -- Adrian Bunk <bunk@debian.org>  Sat, 14 Oct 2017 18:26:57 +0300

=== debian/control ===
Source: piglit
Priority: optional
Section: devel
Maintainer: Jordan Justen <jordan.l.justen@intel.com>
Build-Depends: binutils (>> 2.18),
               cmake,
               debhelper (>= 11),
               dh-python,
               libegl1-mesa-dev | libegl-dev,
               libgbm-dev,
               libgl1-mesa-dev | libgl-dev,
               libglu1-mesa-dev | libglu-dev,
               libxcb1-dev,
               libxkbcommon-dev,
               ocl-icd-opencl-dev | opencl-dev,
               libwaffle-dev (>= 1.3),
               pkg-config,
               python3,
               python3-mako,
               python3-numpy,
               python3-six
Standards-Version: 4.1.4
Homepage: http://piglit.freedesktop.org/
Vcs-Git: https://salsa.debian.org/xorg-team/app/piglit.git
Vcs-Browser: https://salsa.debian.org/xorg-team/app/piglit

Package: piglit
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
         ${python3:Depends}, python3-six, python3-mako
Description: Open-source test suite for OpenGL and OpenCL implementations
 Piglit is an open-source test suite for OpenGL and OpenCL implementations.

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,24 @@
 DEB_DESTDIR := $(CURDIR)/debian/piglit
 
 %:
-	dh $@ --parallel --buildsystem cmake --with python3
+	dh $@ --buildsystem cmake --with python3
+
+# workaround for https://gcc.gnu.org/bugzilla/show_bug.cgi?id=82364
+DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
+ifneq (,$(filter $(DEB_HOST_ARCH), i386))
+export DEB_CFLAGS_MAINT_APPEND=-O1 -DNDEBUG
+
+override_dh_auto_configure:
+	dh_auto_configure -- \
+		-DCMAKE_INSTALL_PREFIX=/usr \
+		-DCMAKE_INSTALL_LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH) \
+		-DPIGLIT_BUILD_GLES1_TESTS=1 \
+		-DPIGLIT_BUILD_GLES2_TESTS=1 \
+		-DPIGLIT_BUILD_GLES3_TESTS=1 \
+		-DPIGLIT_BUILD_CL_TESTS=1 \
+		-DPIGLIT_USE_WAFFLE=1
+
+else
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
@@ -17,6 +34,8 @@
 		-DPIGLIT_BUILD_CL_TESTS=1 \
 		-DPIGLIT_USE_WAFFLE=1
 
+endif
+
 override_dh_auto_install:
 	dh_auto_install
 	find $(DEB_DESTDIR) -type d -name __pycache__ -exec rm -r {} +
